import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export default new Router({
  routes: [{
      path: '/login',
      name: 'login',
      component: () => import('./views/Login.vue'),
      show: 0
    },
    {
      path: '/',
      name: '概览',
      icon: 'el-icon-menu',
      component: () => import('./views/Home.vue'),
      show: 1,
      isLeaf: 1,
      children: [{
        path: '/',
        component: () => import('./views/Index.vue'),
        name: '系统首页'
      }, ]
    },
    {
      path: '/',
      name: '项目管理',
      change:1,
      icon: 'el-icon-document-copy',
      component: () => import('./views/Home.vue'),
      show: 1,
      isLeaf: 0,
      children: [{
        path: '/subject',
        component: () => import('./views/project/Index.vue'),
        name: '培训科目'
      }, ]
    },

    {
      path: '/',
      name: '报名信息',
      icon: 'el-icon-document-checked',
      component: () => import('./views/Home.vue'),
      show:1,
      isLeaf:0,
      children:[
        { path: '/new/*', component: () => import('./views/apply/New.vue'), name: '新办' },
        { path: '/update/*', component: () => import('./views/apply/Update.vue'), name: '复审' },
        { path: '/change/*', component: () => import('./views/apply/Change.vue'), name: '换证' },
        { path: '/sign/detail',hide:1, component: () => import('./views/apply/Detail.vue'), name: '修改' },
        { path: '/sign/edit',hide:1, component: () => import('./views/apply/Edit.vue'), name: '修改' },
      ]
    },
    {
      path: '/',
      name: '培训计划',
      icon: 'el-icon-notebook-1',
      component: () => import('./views/Home.vue'),
      show: 1,
      isLeaf: 0,
      children: [{
          path: '/classes',
          component: () => import('./views/classes/Index.vue'),
          name: '班级管理'
        },
        {
          path: '/classes/add',
          hide:1,
          component: () => import('./views/classes/Add.vue'),
          name: '新增班级'
        },
      ]
    },
    {
      path: '/',
      name: '在线培训',
      icon: 'el-icon-eleme',
      component: () => import('./views/Home.vue'),
      show: 1,
      isLeaf: 0,
      children: [{
          path: '/papers',
          component: () => import('./views/paper/Index.vue'),
          name: '试卷管理'
        },
        {
          path: '/papers/detail',
          hide:1,
          component: () => import('./views/paper/Detail.vue'),
          name: '试卷详情'
        },
        {
          path: '/videos',
          component: () => import('./views/videos/Index.vue'),
          name: '视频管理'
        },
        {
          path: '/videos/add',
          hide:1,
          component: () => import('./views/videos/Add.vue'),
          name: '新增视频'
        },
      ]
    },
    {
      path: '/',
      name: '用户管理',
      icon: 'el-icon-user',
      component: () => import('./views/Home.vue'),
      show: 1,
      isLeaf: 0,
      children: [{
        path: '/user',
        component: () => import('./views/user/Index.vue'),
        name: '用户列表'
      }, {
        path: '/user/detail',
        hide:1,
        component: () => import('./views/user/Detail.vue'),
        name: '新增用户'
      }, ]
    },
    {
      path: '/content',
      name: '内容管理',
      icon: 'el-icon-document',
      component: () => import('./views/Home.vue'),
      show: 1,
      isLeaf: 0,
      children: [{
          path: '/content',
          component: () => import('./views/content/Index.vue'),
          name: '栏目管理'
        },
        {
          path: '/addContent',
          hide:1,
          component: () => import('./views/content/addContent.vue'),
          name: '新增栏目'
        },
        {
          path: '/article',
          component: () => import('./views/content/Article.vue'),
          name: '文章管理'
        },
        {
          path: '/addArticle',
          component: () => import('./views/content/addArticle.vue'),
          name: '新增文章',
          hide:1,
        },
        {
          path: '/docs',
          component: () => import('./views/docs/Index.vue'),
          name: '资料管理'
        },
        {
          path: '/docs/add',
          hide:1,
          component: () => import('./views/docs/Add.vue'),
          name: '新增资料'
        },
      ]
    },
    {
      path: '/system',
      name: '系统管理',
      icon: 'el-icon-setting',
      component: () => import('./views/Home.vue'),
      show: 1,
      isLeaf: 0,
      children: [{
          path: '/system',
          component: () => import('./views/system/Index.vue'),
          name: '账号管理'
        },
        {
          path: '/system/add',
          hide:1,
          component: () => import('./views/user/Add.vue'),
          name: '新增用户',
        },
        {
          path: '/system/addAccount',
          hide:1,
          component: () => import('./views/system/AddAccount.vue'),
          name: '新增账户'
        },
      ]
    }
  ]
})